#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(dasd_debug_area, "", "");
KSYMTAB_DATA(dasd_diag_discipline_pointer, "", "");
KSYMTAB_FUNC(dasd_alloc_block, "_gpl", "");
KSYMTAB_FUNC(dasd_free_block, "_gpl", "");
KSYMTAB_FUNC(dasd_kick_device, "", "");
KSYMTAB_FUNC(dasd_reload_device, "", "");
KSYMTAB_FUNC(dasd_enable_device, "", "");
KSYMTAB_FUNC(dasd_smalloc_request, "", "");
KSYMTAB_FUNC(dasd_fmalloc_request, "", "");
KSYMTAB_FUNC(dasd_sfree_request, "", "");
KSYMTAB_FUNC(dasd_ffree_request, "", "");
KSYMTAB_FUNC(dasd_term_IO, "", "");
KSYMTAB_FUNC(dasd_start_IO, "", "");
KSYMTAB_FUNC(dasd_device_set_timer, "", "");
KSYMTAB_FUNC(dasd_device_clear_timer, "", "");
KSYMTAB_FUNC(dasd_generic_handle_state_change, "_gpl", "");
KSYMTAB_FUNC(dasd_int_handler, "", "");
KSYMTAB_FUNC(dasd_generic_uc_handler, "_gpl", "");
KSYMTAB_FUNC(dasd_flush_device_queue, "_gpl", "");
KSYMTAB_FUNC(dasd_schedule_device_bh, "", "");
KSYMTAB_FUNC(dasd_device_set_stop_bits, "_gpl", "");
KSYMTAB_FUNC(dasd_device_remove_stop_bits, "_gpl", "");
KSYMTAB_FUNC(dasd_add_request_head, "", "");
KSYMTAB_FUNC(dasd_add_request_tail, "", "");
KSYMTAB_FUNC(dasd_wakeup_cb, "_gpl", "");
KSYMTAB_FUNC(dasd_sleep_on, "", "");
KSYMTAB_FUNC(dasd_sleep_on_queue, "", "");
KSYMTAB_FUNC(dasd_sleep_on_queue_interruptible, "", "");
KSYMTAB_FUNC(dasd_sleep_on_interruptible, "", "");
KSYMTAB_FUNC(dasd_sleep_on_immediatly, "", "");
KSYMTAB_FUNC(dasd_block_set_timer, "", "");
KSYMTAB_FUNC(dasd_block_clear_timer, "", "");
KSYMTAB_FUNC(dasd_schedule_block_bh, "", "");
KSYMTAB_FUNC(dasd_device_is_ro, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_probe, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_free_discipline, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_remove, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_set_online, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_set_offline, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_last_path_gone, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_path_operational, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_notify, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_path_event, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_verify_path, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_space_exhaust, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_space_avail, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_requeue_all_requests, "_gpl", "");
KSYMTAB_FUNC(dasd_schedule_requeue, "", "");
KSYMTAB_FUNC(dasd_generic_read_dev_chars, "_gpl", "");
KSYMTAB_FUNC(dasd_get_sense, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_shutdown, "_gpl", "");
KSYMTAB_FUNC(dasd_biodasdinfo, "_gpl", "");
KSYMTAB_DATA(dasd_page_cache, "_gpl", "");
KSYMTAB_DATA(dasd_nopav, "_gpl", "");
KSYMTAB_DATA(dasd_nofcx, "_gpl", "");
KSYMTAB_FUNC(dasd_devmap_set_device_copy_relation, "_gpl", "");
KSYMTAB_FUNC(dasd_put_device_wake, "_gpl", "");
KSYMTAB_FUNC(dasd_add_link_to_gendisk, "", "");
KSYMTAB_DATA(dasd_dev_groups, "_gpl", "");
KSYMTAB_FUNC(dasd_set_feature, "", "");
KSYMTAB_FUNC(dasd_path_create_kobj, "", "");
KSYMTAB_FUNC(dasd_path_create_kobjects, "", "");
KSYMTAB_FUNC(dasd_path_remove_kobjects, "", "");
KSYMTAB_FUNC(dasd_log_sense_dbf, "", "");
KSYMTAB_FUNC(dasd_default_erp_action, "", "");
KSYMTAB_FUNC(dasd_default_erp_postaction, "", "");
KSYMTAB_FUNC(dasd_alloc_erp_request, "", "");
KSYMTAB_FUNC(dasd_free_erp_request, "", "");
KSYMTAB_FUNC(dasd_log_sense, "", "");
KSYMTAB_FUNC(dasd_eer_write, "", "");

SYMBOL_CRC(dasd_debug_area, 0x297475a2, "");
SYMBOL_CRC(dasd_diag_discipline_pointer, 0x51b37784, "");
SYMBOL_CRC(dasd_alloc_block, 0x52ed74a3, "_gpl");
SYMBOL_CRC(dasd_free_block, 0xab64644c, "_gpl");
SYMBOL_CRC(dasd_kick_device, 0x7c86b5d3, "");
SYMBOL_CRC(dasd_reload_device, 0x9d68d81e, "");
SYMBOL_CRC(dasd_enable_device, 0x6e5e9a99, "");
SYMBOL_CRC(dasd_smalloc_request, 0x2f7da1db, "");
SYMBOL_CRC(dasd_fmalloc_request, 0x8111a98b, "");
SYMBOL_CRC(dasd_sfree_request, 0xef4b0ee2, "");
SYMBOL_CRC(dasd_ffree_request, 0xec33341e, "");
SYMBOL_CRC(dasd_term_IO, 0x32a0eaff, "");
SYMBOL_CRC(dasd_start_IO, 0x36e55bc8, "");
SYMBOL_CRC(dasd_device_set_timer, 0x69564bf0, "");
SYMBOL_CRC(dasd_device_clear_timer, 0x9f375251, "");
SYMBOL_CRC(dasd_generic_handle_state_change, 0x3bb5a0b2, "_gpl");
SYMBOL_CRC(dasd_int_handler, 0x70a469a7, "");
SYMBOL_CRC(dasd_generic_uc_handler, 0xce6b1c38, "_gpl");
SYMBOL_CRC(dasd_flush_device_queue, 0x679ff19e, "_gpl");
SYMBOL_CRC(dasd_schedule_device_bh, 0x404e51af, "");
SYMBOL_CRC(dasd_device_set_stop_bits, 0x56309768, "_gpl");
SYMBOL_CRC(dasd_device_remove_stop_bits, 0xc2504a8d, "_gpl");
SYMBOL_CRC(dasd_add_request_head, 0xb39963fa, "");
SYMBOL_CRC(dasd_add_request_tail, 0x3c1e85b1, "");
SYMBOL_CRC(dasd_wakeup_cb, 0x9f6ba68a, "_gpl");
SYMBOL_CRC(dasd_sleep_on, 0xcab0ec13, "");
SYMBOL_CRC(dasd_sleep_on_queue, 0xb4dcb5de, "");
SYMBOL_CRC(dasd_sleep_on_queue_interruptible, 0xc134caac, "");
SYMBOL_CRC(dasd_sleep_on_interruptible, 0x225b71df, "");
SYMBOL_CRC(dasd_sleep_on_immediatly, 0xf895b700, "");
SYMBOL_CRC(dasd_block_set_timer, 0x0f21a387, "");
SYMBOL_CRC(dasd_block_clear_timer, 0x43c4cad3, "");
SYMBOL_CRC(dasd_schedule_block_bh, 0x51fa53e6, "");
SYMBOL_CRC(dasd_device_is_ro, 0xfd803985, "_gpl");
SYMBOL_CRC(dasd_generic_probe, 0xf3da797b, "_gpl");
SYMBOL_CRC(dasd_generic_free_discipline, 0xd84dd5fd, "_gpl");
SYMBOL_CRC(dasd_generic_remove, 0x28d54f4e, "_gpl");
SYMBOL_CRC(dasd_generic_set_online, 0x195e9b97, "_gpl");
SYMBOL_CRC(dasd_generic_set_offline, 0xff9a2655, "_gpl");
SYMBOL_CRC(dasd_generic_last_path_gone, 0xc54bf25f, "_gpl");
SYMBOL_CRC(dasd_generic_path_operational, 0x2d7b1554, "_gpl");
SYMBOL_CRC(dasd_generic_notify, 0x879961a1, "_gpl");
SYMBOL_CRC(dasd_generic_path_event, 0xe6f0b845, "_gpl");
SYMBOL_CRC(dasd_generic_verify_path, 0xfffc0c7f, "_gpl");
SYMBOL_CRC(dasd_generic_space_exhaust, 0x5fe86940, "_gpl");
SYMBOL_CRC(dasd_generic_space_avail, 0x3cc208fa, "_gpl");
SYMBOL_CRC(dasd_generic_requeue_all_requests, 0xf849e741, "_gpl");
SYMBOL_CRC(dasd_schedule_requeue, 0x3eff5a56, "");
SYMBOL_CRC(dasd_generic_read_dev_chars, 0x1b69023d, "_gpl");
SYMBOL_CRC(dasd_get_sense, 0x6877463f, "_gpl");
SYMBOL_CRC(dasd_generic_shutdown, 0x28d12e03, "_gpl");
SYMBOL_CRC(dasd_biodasdinfo, 0x9bb171af, "_gpl");
SYMBOL_CRC(dasd_page_cache, 0xb38fe028, "_gpl");
SYMBOL_CRC(dasd_nopav, 0x19227556, "_gpl");
SYMBOL_CRC(dasd_nofcx, 0xf15784f5, "_gpl");
SYMBOL_CRC(dasd_devmap_set_device_copy_relation, 0xb49b35d1, "_gpl");
SYMBOL_CRC(dasd_put_device_wake, 0xbf48cd62, "_gpl");
SYMBOL_CRC(dasd_add_link_to_gendisk, 0xaaff9f53, "");
SYMBOL_CRC(dasd_dev_groups, 0xffd225d8, "_gpl");
SYMBOL_CRC(dasd_set_feature, 0x69cee343, "");
SYMBOL_CRC(dasd_path_create_kobj, 0x47335780, "");
SYMBOL_CRC(dasd_path_create_kobjects, 0x3ca2dbc6, "");
SYMBOL_CRC(dasd_path_remove_kobjects, 0x5b05512c, "");
SYMBOL_CRC(dasd_log_sense_dbf, 0x4c65fc39, "");
SYMBOL_CRC(dasd_default_erp_action, 0x91cedc7c, "");
SYMBOL_CRC(dasd_default_erp_postaction, 0xc691d637, "");
SYMBOL_CRC(dasd_alloc_erp_request, 0x1bd1b87b, "");
SYMBOL_CRC(dasd_free_erp_request, 0x5d0b02dd, "");
SYMBOL_CRC(dasd_log_sense, 0xe740bf72, "");
SYMBOL_CRC(dasd_eer_write, 0x942818de, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdbeb8586, "set_disk_ro" },
	{ 0x22d1e685, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2b883940, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x11e55601, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x51965d43, "__kmalloc_noprof" },
	{ 0xef4592c4, "proc_create" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xd011395d, "device_add_disk" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xc57b8611, "diag210" },
	{ 0xfb554fc3, "kobject_init" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xd5d46b4f, "debug_set_level" },
	{ 0xed339052, "param_array_ops" },
	{ 0x722b55ff, "debug_register" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x2b431fc9, "ccw_device_start" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0x0ea11edf, "kset_unregister" },
	{ 0x413ababc, "seq_lseek" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xa7ef169a, "disk_uevent" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xe5439190, "get_device" },
	{ 0x5867bf41, "blk_mq_end_request" },
	{ 0x993bbc40, "__blk_mq_alloc_disk" },
	{ 0xdef691bc, "__dynamic_dev_dbg" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x143dc425, "blk_mq_alloc_tag_set" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x92997ed8, "_printk" },
	{ 0xef9c8eef, "ipl_info" },
	{ 0xfc035d3e, "put_disk" },
	{ 0x01000e51, "schedule" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xca9c4258, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x52db01bd, "ccw_device_tm_start" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x64ce3bf4, "ccw_device_get_schid" },
	{ 0xb50e87f9, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa5dcf6fe, "module_put" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x73bf20c6, "_ascebc" },
	{ 0x0ddb8bda, "disable_cmf" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x797f4512, "fput" },
	{ 0x2a6e7c0c, "_dev_err" },
	{ 0x290e48ec, "kobject_add" },
	{ 0x1cbc08eb, "blk_update_request" },
	{ 0xcd93091e, "ccw_device_get_id" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0x804083d4, "kobj_sysfs_ops" },
	{ 0xe3709e48, "set_capacity" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x2ebb04b9, "noop_llseek" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xb13afe80, "debugfs_remove" },
	{ 0x85abc85f, "strncmp" },
	{ 0x5f06cf92, "cmf_readall" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x0483dd96, "seq_putc" },
	{ 0x520dd65c, "bdev_mark_dead" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd4f70025, "blk_mq_free_tag_set" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x1f7ac189, "del_gendisk" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb0449e42, "__debug_sprintf_event" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x3a06ee8b, "bdev_file_open_by_dev" },
	{ 0x350c1395, "__fortify_panic" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x11089ac7, "_ctype" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x04eb476c, "proc_mkdir" },
	{ 0x3d791d1e, "ccw_device_set_offline" },
	{ 0x594cf8fc, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xe6de92dc, "misc_register" },
	{ 0x0b159504, "ccw_device_clear" },
	{ 0x90c0e303, "param_ops_charp" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xeedc4cf0, "__kmem_cache_create_args" },
	{ 0xc4d2c0ab, "bdev_disk_changed" },
	{ 0xe798236d, "jiffies" },
	{ 0xc7d7d6d5, "nonseekable_open" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0xf9c1b08c, "debug_unregister" },
	{ 0x85ccc38f, "seq_read" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xccab6aef, "blk_mq_complete_request" },
	{ 0x999e8297, "vfree" },
	{ 0x85df9b6c, "strsep" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x631c877f, "seq_write" },
	{ 0xb7a8cb35, "remove_proc_entry" },
	{ 0xb76430e0, "__kmalloc_cache_noprof" },
	{ 0x4b3cf3e5, "seq_printf" },
	{ 0x8364bedf, "ccw_device_set_online" },
	{ 0x5094d10f, "enable_cmf" },
	{ 0x7b6bad64, "kobject_uevent" },
	{ 0x81d5b192, "debugfs_create_file_full" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x55fa696c, "blk_mq_start_request" },
	{ 0x0ffb90ac, "ccw_device_get_path_mask" },
	{ 0xe7ca4ad7, "queue_limits_commit_update" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x4ed64861, "single_release" },
	{ 0x2418504a, "tcw_get_tsb" },
	{ 0xa805208b, "file_bdev" },
	{ 0x83289ffc, "css_general_characteristics" },
	{ 0xe5375fd1, "blk_abort_request" },
	{ 0xc316f7c9, "debug_sprintf_view" },
	{ 0x289cbc49, "param_ops_int" },
	{ 0x33b0e6ab, "blk_mq_run_hw_queues" },
	{ 0xe1ef07e6, "proc_create_seq_private" },
	{ 0xd87ccef6, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x5f8a38d8, "debugfs_create_dir" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x46477450, "debug_register_view" },
	{ 0x673ed65d, "blk_mq_requeue_request" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x20bc92c3, "blk_queue_rq_timeout" },
	{ 0xfc56c828, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xf5c38650, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x0a1f5358, "kset_create_and_add" },
	{ 0x0eb912eb, "kobject_put" },
	{ 0x5622fd2e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E285D001B1CDE1632538533");
MODULE_INFO(rhelversion, "9.99");
