#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(qeth_dbf, "_gpl", "");
KSYMTAB_FUNC(qeth_set_allowed_threads, "_gpl", "");
KSYMTAB_FUNC(qeth_threads_running, "_gpl", "");
KSYMTAB_FUNC(qeth_resize_buffer_pool, "_gpl", "");
KSYMTAB_FUNC(qeth_ipa_alloc_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_send_ipa_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_get_diag_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_configure_cq, "_gpl", "");
KSYMTAB_FUNC(qeth_xmit, "_gpl", "");
KSYMTAB_FUNC(qeth_setadp_promisc_mode, "_gpl", "");
KSYMTAB_FUNC(qeth_setadpparms_change_macaddr, "_gpl", "");
KSYMTAB_FUNC(qeth_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(qeth_vm_request_mac, "_gpl", "");
KSYMTAB_FUNC(qeth_set_offline, "_gpl", "");
KSYMTAB_FUNC(qeth_poll, "_gpl", "");
KSYMTAB_FUNC(qeth_setassparms_cb, "_gpl", "");
KSYMTAB_FUNC(qeth_get_setassparms_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_send_simple_setassparms_prot, "_gpl", "");
KSYMTAB_FUNC(qeth_dbf_longtext, "_gpl", "");
KSYMTAB_FUNC(qeth_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(qeth_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(qeth_enable_hw_features, "_gpl", "");
KSYMTAB_FUNC(qeth_set_features, "_gpl", "");
KSYMTAB_FUNC(qeth_fix_features, "_gpl", "");
KSYMTAB_FUNC(qeth_features_check, "_gpl", "");
KSYMTAB_FUNC(qeth_get_stats64, "_gpl", "");
KSYMTAB_FUNC(qeth_set_real_num_tx_queues, "_gpl", "");
KSYMTAB_FUNC(qeth_iqd_select_queue, "_gpl", "");
KSYMTAB_FUNC(qeth_osa_select_queue, "_gpl", "");
KSYMTAB_FUNC(qeth_open, "_gpl", "");
KSYMTAB_FUNC(qeth_stop, "_gpl", "");

SYMBOL_CRC(qeth_dbf, 0x857435d1, "_gpl");
SYMBOL_CRC(qeth_set_allowed_threads, 0x775e730a, "_gpl");
SYMBOL_CRC(qeth_threads_running, 0x0df51175, "_gpl");
SYMBOL_CRC(qeth_resize_buffer_pool, 0xb94fa96d, "_gpl");
SYMBOL_CRC(qeth_ipa_alloc_cmd, 0x365c651b, "_gpl");
SYMBOL_CRC(qeth_send_ipa_cmd, 0x6b1bf69d, "_gpl");
SYMBOL_CRC(qeth_get_diag_cmd, 0x3e71fb2c, "_gpl");
SYMBOL_CRC(qeth_configure_cq, 0x1577535c, "_gpl");
SYMBOL_CRC(qeth_xmit, 0x5215e470, "_gpl");
SYMBOL_CRC(qeth_setadp_promisc_mode, 0xbe655f55, "_gpl");
SYMBOL_CRC(qeth_setadpparms_change_macaddr, 0xcbeb6744, "_gpl");
SYMBOL_CRC(qeth_tx_timeout, 0x98a8660b, "_gpl");
SYMBOL_CRC(qeth_vm_request_mac, 0x3cf93e7c, "_gpl");
SYMBOL_CRC(qeth_set_offline, 0x127107ee, "_gpl");
SYMBOL_CRC(qeth_poll, 0x32bb92c7, "_gpl");
SYMBOL_CRC(qeth_setassparms_cb, 0xe33d551f, "_gpl");
SYMBOL_CRC(qeth_get_setassparms_cmd, 0x2de07a39, "_gpl");
SYMBOL_CRC(qeth_send_simple_setassparms_prot, 0x95c9a8e5, "_gpl");
SYMBOL_CRC(qeth_dbf_longtext, 0x5a3510dc, "_gpl");
SYMBOL_CRC(qeth_siocdevprivate, 0x3f71182a, "_gpl");
SYMBOL_CRC(qeth_do_ioctl, 0xe34ba2c1, "_gpl");
SYMBOL_CRC(qeth_enable_hw_features, 0x3aab504f, "_gpl");
SYMBOL_CRC(qeth_set_features, 0x0c1064dd, "_gpl");
SYMBOL_CRC(qeth_fix_features, 0x6f2cddce, "_gpl");
SYMBOL_CRC(qeth_features_check, 0xd3ace23a, "_gpl");
SYMBOL_CRC(qeth_get_stats64, 0x08918783, "_gpl");
SYMBOL_CRC(qeth_set_real_num_tx_queues, 0x7dadcb22, "_gpl");
SYMBOL_CRC(qeth_iqd_select_queue, 0xd7fb6d77, "_gpl");
SYMBOL_CRC(qeth_osa_select_queue, 0x8c4f4400, "_gpl");
SYMBOL_CRC(qeth_open, 0x626d4b95, "_gpl");
SYMBOL_CRC(qeth_stop, 0x54aa1641, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbba4ac13, "ccw_device_get_cssid" },
	{ 0x62f4f20b, "napi_alloc_skb" },
	{ 0xb069fceb, "alloc_etherdev_mqs" },
	{ 0xa6f4c15f, "ccw_device_halt" },
	{ 0x88cf3458, "ccw_device_start_timeout" },
	{ 0x15b49bac, "vscnprintf" },
	{ 0xd668ffde, "qdio_shutdown" },
	{ 0x83607e73, "napi_gro_frags" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7fbe5e69, "ccwgroup_set_offline" },
	{ 0x5997658c, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb3f4b966, "ccw_device_get_chid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5b821f01, "skb_copy_bits" },
	{ 0x02ed5a03, "qdio_allocate" },
	{ 0x0410e433, "qdio_inspect_output_queue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3e17b5ac, "skb_put" },
	{ 0xd58fe032, "skb_tstamp_tx" },
	{ 0x51965d43, "__kmalloc_noprof" },
	{ 0xa5141ee2, "netdev_update_features" },
	{ 0x908e7467, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x7418c638, "napi_get_frags" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xbef53f33, "scnprintf" },
	{ 0xd5d46b4f, "debug_set_level" },
	{ 0xef8a2540, "register_service_level" },
	{ 0x722b55ff, "debug_register" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x2b431fc9, "ccw_device_start" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0x413ababc, "seq_lseek" },
	{ 0x1d3aa814, "netif_napi_add_weight_locked" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x204e8e03, "qdio_add_bufs_to_output_queue" },
	{ 0xe5439190, "get_device" },
	{ 0x6e00b8cb, "_ebcasc" },
	{ 0x63f729f6, "ether_setup" },
	{ 0x0bb01026, "qdio_get_ssqd_desc" },
	{ 0xda07b9b3, "ccwgroup_create_dev" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xbe37ee85, "pskb_expand_head" },
	{ 0x3bf1185f, "wake_up_process" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x8dcf901e, "dev_addr_mod" },
	{ 0xbc77bf4e, "eth_type_trans" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x1e6c0112, "napi_complete_done" },
	{ 0x5d77aea3, "alloc_netdev_mqs" },
	{ 0xb9ffae15, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x77f5dc4c, "unregister_service_level" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0xd65b5df8, "qdio_inspect_input_queue" },
	{ 0x01000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xca9c4258, "put_device" },
	{ 0xa80a4be1, "__napi_schedule" },
	{ 0x0fe2b160, "root_device_unregister" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x8b6b7055, "netif_device_detach" },
	{ 0x108f7d27, "__free_pages" },
	{ 0xb50e87f9, "_dev_info" },
	{ 0xcf53522b, "napi_gro_receive" },
	{ 0xfe2bc69c, "netdev_pick_tx" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x73bf20c6, "_ascebc" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xbb0a4bcc, "ccwgroup_probe_ccwdev" },
	{ 0xac751b20, "qdio_establish" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2a6e7c0c, "_dev_err" },
	{ 0x9e301138, "softnet_data" },
	{ 0xcd93091e, "ccw_device_get_id" },
	{ 0x8e15a08f, "__root_device_register" },
	{ 0x5b52de77, "ccw_device_get_ciw" },
	{ 0x688a2aa6, "netif_set_real_num_tx_queues" },
	{ 0x5e31ef9e, "sk_skb_reason_drop" },
	{ 0x9b86f852, "ccw_device_get_chp_desc" },
	{ 0x1c4445c0, "qdio_alloc_buffers" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xd89126cb, "netdev_printk" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x9d112d25, "skb_push" },
	{ 0xe38c7aa1, "kmem_cache_free" },
	{ 0xef018c80, "ccwgroup_driver_register" },
	{ 0xb13afe80, "debugfs_remove" },
	{ 0xa5ef7323, "napi_enable" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x28f7aaa5, "free_netdev" },
	{ 0x90bbbe7a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb0449e42, "__debug_sprintf_event" },
	{ 0x74990cdc, "ethtool_op_get_link" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x350c1395, "__fortify_panic" },
	{ 0x62f8b244, "netif_tx_stop_all_queues" },
	{ 0xfe3529ff, "netif_tx_wake_queue" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x3d791d1e, "ccw_device_set_offline" },
	{ 0x594cf8fc, "_dev_warn" },
	{ 0x7dd0d25f, "ccw_driver_register" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x09b50a37, "netif_schedule_queue" },
	{ 0x0b159504, "ccw_device_clear" },
	{ 0x77abf1a3, "qdio_free_buffers" },
	{ 0x58b63161, "kmem_cache_alloc_noprof" },
	{ 0xd4c12f24, "qdio_reset_buffers" },
	{ 0x1006f014, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x3edaf96d, "qdio_start_irq" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x4f47cc12, "__pskb_pull_tail" },
	{ 0x672e2490, "__netdev_alloc_skb" },
	{ 0xeedc4cf0, "__kmem_cache_create_args" },
	{ 0x983168fa, "__netif_napi_del_locked" },
	{ 0xe798236d, "jiffies" },
	{ 0xf9b64f0c, "kthread_create_on_node" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x4097f192, "debug_hex_ascii_view" },
	{ 0xf9c1b08c, "debug_unregister" },
	{ 0x85ccc38f, "seq_read" },
	{ 0xb7ee2a2c, "diag26c" },
	{ 0xc622ea97, "stsi" },
	{ 0x3732bd76, "ccwgroup_driver_unregister" },
	{ 0x71571480, "ccwgroup_remove_ccwdev" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x83f9db3a, "ccw_device_get_iid" },
	{ 0x34af9a92, "debug_event_common" },
	{ 0xb76430e0, "__kmalloc_cache_noprof" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x54261e3b, "netif_carrier_off" },
	{ 0x4b3cf3e5, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8364bedf, "ccw_device_set_online" },
	{ 0xa96821e3, "netdev_set_num_tc" },
	{ 0x7b6bad64, "kobject_uevent" },
	{ 0x3039df8e, "dql_reset" },
	{ 0x81d5b192, "debugfs_create_file_full" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x4ed64861, "single_release" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x73bf7b95, "qdio_add_bufs_to_input_queue" },
	{ 0xe56c2b86, "skb_add_rx_frag_netmem" },
	{ 0x0e4f1153, "__napi_schedule_irqoff" },
	{ 0x96dfa339, "napi_schedule_prep" },
	{ 0x3cba8d30, "napi_consume_skb" },
	{ 0xc316f7c9, "debug_sprintf_view" },
	{ 0x2532f31f, "qdio_stop_irq" },
	{ 0x7e6d4224, "napi_disable" },
	{ 0x6df58c5e, "qdio_free" },
	{ 0xd87ccef6, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x5f8a38d8, "debugfs_create_dir" },
	{ 0x46477450, "debug_register_view" },
	{ 0xd8fcda72, "cpcmd" },
	{ 0xd84574b3, "ccw_driver_unregister" },
	{ 0xaa777a8b, "skb_clone_tx_timestamp" },
	{ 0xed811339, "qdio_activate" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf73b8ac1, "ethtool_op_get_ts_info" },
	{ 0xfc56c828, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xf5c38650, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x5622fd2e, "module_layout" },
};

MODULE_INFO(depends, "qdio,ccwgroup");

MODULE_ALIAS("ccw:t1731m01dt1732dm01*");
MODULE_ALIAS("ccw:t1731m05dt1732dm05*");
MODULE_ALIAS("ccw:t1731m02dt1732dm03*");

MODULE_INFO(srcversion, "930ABF3D6EE7B060892D54E");
MODULE_INFO(rhelversion, "9.99");
