#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(i2c_freq_mode_string, "_gpl", "");
KSYMTAB_FUNC(i2c_match_id, "_gpl", "");
KSYMTAB_FUNC(i2c_get_match_data, "", "");
KSYMTAB_FUNC(i2c_generic_scl_recovery, "_gpl", "");
KSYMTAB_FUNC(i2c_recover_bus, "_gpl", "");
KSYMTAB_DATA(i2c_bus_type, "_gpl", "");
KSYMTAB_DATA(i2c_client_type, "_gpl", "");
KSYMTAB_FUNC(i2c_verify_client, "", "");
KSYMTAB_FUNC(i2c_new_client_device, "_gpl", "");
KSYMTAB_FUNC(i2c_unregister_device, "_gpl", "");
KSYMTAB_FUNC(i2c_find_device_by_fwnode, "", "");
KSYMTAB_FUNC(i2c_new_dummy_device, "_gpl", "");
KSYMTAB_FUNC(devm_i2c_new_dummy_device, "_gpl", "");
KSYMTAB_FUNC(i2c_new_ancillary_device, "_gpl", "");
KSYMTAB_FUNC(i2c_adapter_depth, "_gpl", "");
KSYMTAB_DATA(i2c_adapter_type, "_gpl", "");
KSYMTAB_FUNC(i2c_verify_adapter, "", "");
KSYMTAB_FUNC(i2c_handle_smbus_host_notify, "_gpl", "");
KSYMTAB_FUNC(i2c_add_adapter, "", "");
KSYMTAB_FUNC(i2c_add_numbered_adapter, "_gpl", "");
KSYMTAB_FUNC(i2c_del_adapter, "", "");
KSYMTAB_FUNC(devm_i2c_add_adapter, "_gpl", "");
KSYMTAB_FUNC(i2c_find_adapter_by_fwnode, "", "");
KSYMTAB_FUNC(i2c_get_adapter_by_fwnode, "", "");
KSYMTAB_FUNC(i2c_parse_fw_timings, "_gpl", "");
KSYMTAB_FUNC(i2c_for_each_dev, "_gpl", "");
KSYMTAB_FUNC(i2c_register_driver, "", "");
KSYMTAB_FUNC(i2c_del_driver, "", "");
KSYMTAB_FUNC(i2c_clients_command, "", "");
KSYMTAB_FUNC(__i2c_transfer, "", "");
KSYMTAB_FUNC(i2c_transfer, "", "");
KSYMTAB_FUNC(i2c_transfer_buffer_flags, "", "");
KSYMTAB_FUNC(i2c_get_device_id, "_gpl", "");
KSYMTAB_FUNC(i2c_client_get_device_id, "_gpl", "");
KSYMTAB_FUNC(i2c_probe_func_quick_read, "_gpl", "");
KSYMTAB_FUNC(i2c_new_scanned_device, "_gpl", "");
KSYMTAB_FUNC(i2c_get_adapter, "", "");
KSYMTAB_FUNC(i2c_put_adapter, "", "");
KSYMTAB_FUNC(i2c_get_dma_safe_msg_buf, "_gpl", "");
KSYMTAB_FUNC(i2c_put_dma_safe_msg_buf, "_gpl", "");
KSYMTAB_FUNC(i2c_smbus_pec, "", "");
KSYMTAB_FUNC(i2c_smbus_read_byte, "", "");
KSYMTAB_FUNC(i2c_smbus_write_byte, "", "");
KSYMTAB_FUNC(i2c_smbus_read_byte_data, "", "");
KSYMTAB_FUNC(i2c_smbus_write_byte_data, "", "");
KSYMTAB_FUNC(i2c_smbus_read_word_data, "", "");
KSYMTAB_FUNC(i2c_smbus_write_word_data, "", "");
KSYMTAB_FUNC(i2c_smbus_read_block_data, "", "");
KSYMTAB_FUNC(i2c_smbus_write_block_data, "", "");
KSYMTAB_FUNC(i2c_smbus_read_i2c_block_data, "", "");
KSYMTAB_FUNC(i2c_smbus_write_i2c_block_data, "", "");
KSYMTAB_FUNC(i2c_smbus_xfer, "", "");
KSYMTAB_FUNC(__i2c_smbus_xfer, "", "");
KSYMTAB_FUNC(i2c_smbus_read_i2c_block_data_or_emulated, "", "");
KSYMTAB_FUNC(i2c_new_smbus_alert_device, "_gpl", "");

SYMBOL_CRC(i2c_freq_mode_string, 0x550f3e05, "_gpl");
SYMBOL_CRC(i2c_match_id, 0x384bd019, "_gpl");
SYMBOL_CRC(i2c_get_match_data, 0x81be4331, "");
SYMBOL_CRC(i2c_generic_scl_recovery, 0x5f637401, "_gpl");
SYMBOL_CRC(i2c_recover_bus, 0x93da5eda, "_gpl");
SYMBOL_CRC(i2c_bus_type, 0x09db0b20, "_gpl");
SYMBOL_CRC(i2c_client_type, 0xe793cdf7, "_gpl");
SYMBOL_CRC(i2c_verify_client, 0x23520f14, "");
SYMBOL_CRC(i2c_new_client_device, 0x1e5b0a53, "_gpl");
SYMBOL_CRC(i2c_unregister_device, 0x74583068, "_gpl");
SYMBOL_CRC(i2c_find_device_by_fwnode, 0x65737e6f, "");
SYMBOL_CRC(i2c_new_dummy_device, 0x9829c525, "_gpl");
SYMBOL_CRC(devm_i2c_new_dummy_device, 0xeb3df7fa, "_gpl");
SYMBOL_CRC(i2c_new_ancillary_device, 0xa10119ce, "_gpl");
SYMBOL_CRC(i2c_adapter_depth, 0x7640d885, "_gpl");
SYMBOL_CRC(i2c_adapter_type, 0x8fc35678, "_gpl");
SYMBOL_CRC(i2c_verify_adapter, 0x50f105be, "");
SYMBOL_CRC(i2c_handle_smbus_host_notify, 0xd12e5b8f, "_gpl");
SYMBOL_CRC(i2c_add_adapter, 0xd3baba92, "");
SYMBOL_CRC(i2c_add_numbered_adapter, 0xfebddade, "_gpl");
SYMBOL_CRC(i2c_del_adapter, 0x4710cf07, "");
SYMBOL_CRC(devm_i2c_add_adapter, 0x43d71390, "_gpl");
SYMBOL_CRC(i2c_find_adapter_by_fwnode, 0xef5750b7, "");
SYMBOL_CRC(i2c_get_adapter_by_fwnode, 0xb0494fe9, "");
SYMBOL_CRC(i2c_parse_fw_timings, 0xe77d2d6e, "_gpl");
SYMBOL_CRC(i2c_for_each_dev, 0xa256de09, "_gpl");
SYMBOL_CRC(i2c_register_driver, 0x95c91a9a, "");
SYMBOL_CRC(i2c_del_driver, 0xa0cfc74a, "");
SYMBOL_CRC(i2c_clients_command, 0x4aff7a62, "");
SYMBOL_CRC(__i2c_transfer, 0xd55ca9e4, "");
SYMBOL_CRC(i2c_transfer, 0x74cfe95c, "");
SYMBOL_CRC(i2c_transfer_buffer_flags, 0x474a8c06, "");
SYMBOL_CRC(i2c_get_device_id, 0x45a9d9e9, "_gpl");
SYMBOL_CRC(i2c_client_get_device_id, 0x25737424, "_gpl");
SYMBOL_CRC(i2c_probe_func_quick_read, 0xfc04f261, "_gpl");
SYMBOL_CRC(i2c_new_scanned_device, 0xb57c0820, "_gpl");
SYMBOL_CRC(i2c_get_adapter, 0xc950615e, "");
SYMBOL_CRC(i2c_put_adapter, 0x173474d1, "");
SYMBOL_CRC(i2c_get_dma_safe_msg_buf, 0x42041512, "_gpl");
SYMBOL_CRC(i2c_put_dma_safe_msg_buf, 0x4dae16e4, "_gpl");
SYMBOL_CRC(i2c_smbus_pec, 0x3491d1ae, "");
SYMBOL_CRC(i2c_smbus_read_byte, 0xbfe86739, "");
SYMBOL_CRC(i2c_smbus_write_byte, 0xb834fb56, "");
SYMBOL_CRC(i2c_smbus_read_byte_data, 0x2c85cfc4, "");
SYMBOL_CRC(i2c_smbus_write_byte_data, 0xf5ee8e1b, "");
SYMBOL_CRC(i2c_smbus_read_word_data, 0x486edda9, "");
SYMBOL_CRC(i2c_smbus_write_word_data, 0x25677f70, "");
SYMBOL_CRC(i2c_smbus_read_block_data, 0xaa08328d, "");
SYMBOL_CRC(i2c_smbus_write_block_data, 0x486ac0f6, "");
SYMBOL_CRC(i2c_smbus_read_i2c_block_data, 0xb9dfe1f4, "");
SYMBOL_CRC(i2c_smbus_write_i2c_block_data, 0xc9ea9c2f, "");
SYMBOL_CRC(i2c_smbus_xfer, 0x7ac91970, "");
SYMBOL_CRC(__i2c_smbus_xfer, 0x2728cbcf, "");
SYMBOL_CRC(i2c_smbus_read_i2c_block_data_or_emulated, 0x2838d8b8, "");
SYMBOL_CRC(i2c_new_smbus_alert_device, 0x5a8b7a4c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x0f77669b, "gpiod_get_value_cansleep" },
	{ 0x22d1e685, "try_module_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x63203db4, "gpiod_get_direction" },
	{ 0x2d74965c, "devres_release_group" },
	{ 0x3761d215, "idr_find" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x51965d43, "__kmalloc_noprof" },
	{ 0xf4033649, "dev_set_name" },
	{ 0xaca0aef0, "complete" },
	{ 0xbc83ec17, "trace_raw_output_prep" },
	{ 0x05d8d732, "bpf_trace_run6" },
	{ 0x399724ad, "device_unregister" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x68fb47d0, "__trace_trigger_soft_disabled" },
	{ 0x2f47f6d7, "irq_domain_remove" },
	{ 0xf0e8d702, "gpiod_set_value_cansleep" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x3bc13183, "trace_event_printf" },
	{ 0xf7370f56, "system_state" },
	{ 0x3c4ddbdc, "device_initialize" },
	{ 0xad33d67c, "dummy_irq_chip" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x0a8968d2, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xb5d7de67, "device_for_each_child" },
	{ 0x65af1cc2, "bus_for_each_drv" },
	{ 0x0343bdf1, "__i2c_board_list" },
	{ 0xe5439190, "get_device" },
	{ 0x3b48aeb7, "bpf_trace_run8" },
	{ 0x81e2bdf4, "generic_handle_irq_safe" },
	{ 0xdef691bc, "__dynamic_dev_dbg" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xec53e1a8, "dev_driver_string" },
	{ 0x0d7486ad, "trace_event_buffer_commit" },
	{ 0xe0dbabbe, "device_match_fwnode" },
	{ 0x92997ed8, "_printk" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x2fd5937f, "irq_set_chip_and_handler_name" },
	{ 0xca9c4258, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xe3ad3e75, "device_property_read_u32_array" },
	{ 0xdf17c44f, "handle_simple_irq" },
	{ 0x069ae138, "bus_for_each_dev" },
	{ 0xb50e87f9, "_dev_info" },
	{ 0xa5dcf6fe, "module_put" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xe773a126, "perf_trace_run_bpf_submit" },
	{ 0xf39fc7e1, "bus_unregister" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x2a6e7c0c, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x70c2ea43, "bus_find_device" },
	{ 0xa267f0da, "device_add" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0xa99863a6, "irq_get_irq_data" },
	{ 0xcc17765f, "rt_mutex_unlock" },
	{ 0x8596c199, "rt_mutex_trylock" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xb13afe80, "debugfs_remove" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xf976dab2, "trace_event_reg" },
	{ 0xe6cd37d7, "driver_unregister" },
	{ 0x40cc1368, "devres_open_group" },
	{ 0x50e7193a, "__i2c_first_dynamic_bus_num" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x350c1395, "__fortify_panic" },
	{ 0xaac2b037, "device_register" },
	{ 0xf7e6ea38, "__irq_resolve_mapping" },
	{ 0x594cf8fc, "_dev_warn" },
	{ 0x16c8a5de, "device_get_match_data" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x6246a629, "synchronize_rcu_tasks_trace" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x5297263d, "kmemdup_noprof" },
	{ 0x24625555, "device_remove_software_node" },
	{ 0x103bafd6, "down_read" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xed8c77ed, "bpf_trace_run3" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xee4095dd, "trace_event_buffer_reserve" },
	{ 0xb348e4b3, "irq_domain_instantiate" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x29c7944a, "devm_gpiod_get" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb76430e0, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2d32aed6, "irq_create_mapping_affinity" },
	{ 0x01d69428, "__rt_mutex_init" },
	{ 0xc824f9d8, "__i2c_board_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x48fc8492, "device_add_software_node" },
	{ 0x7c046242, "__devm_add_action" },
	{ 0xd48dafe2, "bpf_trace_run7" },
	{ 0x349cba85, "strchr" },
	{ 0x5f8a38d8, "debugfs_create_dir" },
	{ 0x05f838ac, "rt_mutex_lock" },
	{ 0xe14ad94a, "gpiod_direction_output" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0x7a1ee536, "driver_register" },
	{ 0xc342bd85, "__dev_fwnode" },
	{ 0xfc56c828, "kmalloc_caches" },
	{ 0x7e27f50f, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x5622fd2e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5E29237292941A124784D42");
MODULE_INFO(rhelversion, "9.99");
