#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0xa929c08b, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x952f0723, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0x30651103, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xceb4c04b, "rtnl_link_register" },
	{ 0x80747545, "genl_register_family" },
	{ 0x66bb67f0, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x037a0cba, "kfree" },
	{ 0x2fbb6471, "crypto_destroy_tfm" },
	{ 0x51965d43, "__kmalloc_noprof" },
	{ 0x41a67489, "crypto_alloc_aead" },
	{ 0x86bd73ea, "crypto_aead_setkey" },
	{ 0x37980208, "crypto_aead_setauthsize" },
	{ 0x0fe70de3, "nla_put_64bit" },
	{ 0x0ff182e8, "nla_put" },
	{ 0xa3a5be95, "memmove" },
	{ 0x3b549850, "skb_pull" },
	{ 0xb9939fdb, "___pskb_trim" },
	{ 0x63f729f6, "ether_setup" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0xb5e4e9cd, "dev_mc_sync" },
	{ 0x580d7bd5, "dev_uc_sync" },
	{ 0x55f1a12c, "dev_set_allmulti" },
	{ 0x0dac1744, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x503f524b, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xfc56c828, "kmalloc_caches" },
	{ 0xb76430e0, "__kmalloc_cache_noprof" },
	{ 0x64ae8d6d, "pcpu_alloc_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc3c33c2f, "__dev_get_by_index" },
	{ 0x43f49bcd, "skb_clone" },
	{ 0xff1a4ed2, "__netif_rx" },
	{ 0x1ec97084, "skb_ensure_writable_head_tail" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x5e31ef9e, "sk_skb_reason_drop" },
	{ 0x4f187da1, "metadata_dst_alloc" },
	{ 0x77d3e10d, "register_netdevice" },
	{ 0x8839dc52, "netdev_upper_dev_link" },
	{ 0x66ad56a6, "netdev_upper_dev_unlink" },
	{ 0x23cb5e7a, "unregister_netdevice_queue" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd548dc95, "netif_stacked_transfer_operstate" },
	{ 0x9cd91e0d, "linkwatch_fire_event" },
	{ 0xa99af699, "netdev_rx_handler_register" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x3462ae1c, "dst_release" },
	{ 0xc03ae192, "gro_cells_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8dcf901e, "dev_addr_mod" },
	{ 0x8cde20ad, "netif_inherit_tso_max" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x57f7248c, "__dev_queue_xmit" },
	{ 0xbc77bf4e, "eth_type_trans" },
	{ 0x14a9a240, "gro_cells_receive" },
	{ 0x5d8743fe, "skb_trim" },
	{ 0x675b56b9, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x436194ea, "skb_to_sgvec" },
	{ 0x235ba3bb, "crypto_aead_decrypt" },
	{ 0x908e7467, "consume_skb" },
	{ 0x7e334e7a, "skb_copy" },
	{ 0x9d112d25, "skb_push" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x4f47cc12, "__pskb_pull_tail" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x8e09ae4d, "netdev_rx_handler_unregister" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xa5141ee2, "netdev_update_features" },
	{ 0x287647d5, "dev_set_mtu" },
	{ 0x54261e3b, "netif_carrier_off" },
	{ 0x25091cb3, "dev_mc_unsync" },
	{ 0xb9139b6b, "dev_uc_unsync" },
	{ 0x69c67a83, "dev_uc_del" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xdca69f8e, "dev_uc_add" },
	{ 0x6d357215, "netif_carrier_on" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x3e17b5ac, "skb_put" },
	{ 0xa527c55d, "crypto_aead_encrypt" },
	{ 0x9cfdd1c5, "skb_copy_expand" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x350c1395, "__fortify_panic" },
	{ 0xdf0552bf, "genlmsg_put" },
	{ 0x5622fd2e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "87960968F17E132916D3E4D");
MODULE_INFO(rhelversion, "9.99");
