#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfs3_set_ds_client, "_gpl", "");

SYMBOL_CRC(nfs3_set_ds_client, 0xb76d896f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa72ecf89, "nfs_clone_server" },
	{ 0x319e8448, "nlmclnt_proc" },
	{ 0x12908dc1, "nfs_writeback_update_inode" },
	{ 0x11e55601, "param_ops_uint" },
	{ 0xadbe73e2, "nfs_alloc_client" },
	{ 0xeab9999e, "nfs_dentry_operations" },
	{ 0x79484b18, "xdr_write_pages" },
	{ 0x68c3fa32, "nfs_access_zap_cache" },
	{ 0x9a96a4ff, "nfs_wb_all" },
	{ 0x7fd9f7f9, "xdr_inline_decode" },
	{ 0xfdf905f9, "forget_all_cached_acls" },
	{ 0x43fde42e, "nfs_submount" },
	{ 0xe53ee99c, "nfs_server_is_local" },
	{ 0x5eb25807, "__tracepoint_nfs_xdr_status" },
	{ 0xba9113da, "nfs_mknod" },
	{ 0xe901be6b, "nfs_create_server" },
	{ 0x236c8c64, "memcpy" },
	{ 0x16ed8c97, "nfs_init_client" },
	{ 0x037a0cba, "kfree" },
	{ 0xf72640fa, "nfs_post_op_update_inode" },
	{ 0x062aa0b9, "rpc_ntop" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x25476ca1, "xdr_read_pages" },
	{ 0x5e6fab76, "nfsacl_decode" },
	{ 0x0580f84b, "posix_acl_from_mode" },
	{ 0x5f97b045, "nfs_create" },
	{ 0xbca979e1, "nfs_local_probe_async" },
	{ 0x70ced6e9, "nfs_mkdir" },
	{ 0xb6542904, "nfs_revalidate_inode" },
	{ 0x586a68e6, "nfs_get_lock_context" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x7cf2e95b, "nfs_try_get_tree" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x4051c973, "make_kuid" },
	{ 0x4fece9a3, "nfs_get_client" },
	{ 0x108f7d27, "__free_pages" },
	{ 0x45d9e7f5, "nfs_file_operations" },
	{ 0x5f8b4473, "get_inode_acl" },
	{ 0x5ff40d81, "nfs_put_lock_context" },
	{ 0x50d2ad72, "nfs_rename" },
	{ 0x85c9ca1f, "nfs_lookup" },
	{ 0x0422f0d0, "__traceiter_nfs_xdr_bad_filehandle" },
	{ 0x1c2bf396, "nfs_sysfs_link_rpc_client" },
	{ 0x6b3321cb, "nfsacl_encode" },
	{ 0x29761d20, "posix_acl_create" },
	{ 0xbd60758a, "get_nfs_open_context" },
	{ 0x445c268a, "nfs_invalidate_atime" },
	{ 0x038f8b29, "posix_acl_equiv_mode" },
	{ 0x819cf51f, "nfs_getattr" },
	{ 0x6150b2b1, "nfs_zap_acl_cache" },
	{ 0xe8537f7b, "__tracepoint_nfs_xdr_bad_filehandle" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x39ab63bb, "rpc_bind_new_program" },
	{ 0xc4a85b88, "register_nfs_version" },
	{ 0x72a1ce22, "nfs_atomic_open_v23" },
	{ 0x79e15791, "rpc_call_start" },
	{ 0x368b59ae, "rpc_call_sync" },
	{ 0xf6a464d4, "rpc_prepare_reply_pages" },
	{ 0xa4b0e3a2, "nfs_fs_type" },
	{ 0xbc635d04, "nfs_setattr" },
	{ 0xa81894a7, "xdr_terminate_string" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x51dd7d00, "rpc_delay" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x412219e3, "make_kgid" },
	{ 0x502817e9, "from_kgid_munged" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xff51917f, "xdr_reserve_space" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xb484c71d, "nfs_rmdir" },
	{ 0x00aebbd5, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc73f342d, "nfs_async_iocounter_wait" },
	{ 0x65e47eae, "nfs_setattr_update_inode" },
	{ 0x208b437d, "nfs_sops" },
	{ 0xf38f4c17, "init_user_ns" },
	{ 0x96d0bb26, "rpc_restart_call" },
	{ 0xdd433ad6, "nfs_link" },
	{ 0xb76430e0, "__kmalloc_cache_noprof" },
	{ 0xe6f6b038, "dput" },
	{ 0x1ce1598c, "nfs_stat_to_errno" },
	{ 0xa558e261, "put_nfs_open_context" },
	{ 0xc5661dd8, "nfs_permission" },
	{ 0x59cc2e91, "alloc_pages_noprof" },
	{ 0x868ec159, "nfs_add_or_obtain" },
	{ 0xd059adf0, "from_kuid_munged" },
	{ 0x84ba0e26, "nfs_free_client" },
	{ 0x2646db24, "nfs_close_context" },
	{ 0x1a9dbab4, "nfs_refresh_inode" },
	{ 0x08e162a8, "nfs_access_set_mask" },
	{ 0xf261ec47, "xdr_stream_pos" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x5cf0dad3, "__traceiter_nfs_xdr_status" },
	{ 0xfc56c828, "kmalloc_caches" },
	{ 0xdc619d1e, "nfs_symlink" },
	{ 0xd9ebb301, "nfs_unlink" },
	{ 0x1fa5bdd4, "forget_cached_acl" },
	{ 0x5622fd2e, "module_layout" },
};

MODULE_INFO(depends, "nfs,lockd,sunrpc,nfs_acl");


MODULE_INFO(srcversion, "65840A08F75858892F52240");
MODULE_INFO(rhelversion, "9.99");
